# Note that this is NOT a relocatable package
%define ver      1.8.6
%define rel      2
%define prefix   /usr

Summary: An XML library.
Name: libxml
Version: %ver
Release: %rel
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/libxml/libxml-%{ver}.tar.gz
BuildRoot: /var/tmp/libxml-%{PACKAGE_VERSION}-root
URL: http://www.gnome.org
Patch: libxml-1.8.6-linkzlib.patch

# XXX libxml.so.0 is in libxml10 package.
# hack to get libxml.so.0 too !
# Get rid of it once deps to libxml.so.0 have disapeared.
# Provides: libxml.so.0

Prereq: /sbin/install-info
Docdir: %{prefix}/doc

%description
The libxml package contains an XML library, which allows you to
manipulate XML files. XML (eXtensible Markup Language) is a data
format for structured document interchange via the Web.

%package devel
Summary: Libraries, includes and other files to develop libxml applications.
Group: Development/Libraries
Requires: libxml = %{PACKAGE_VERSION}
Requires: zlib-devel

%description devel
The libxml-devel package contains the libraries, include and other
files you can use to develop libxml applications.

%prep
%setup -q
%patch -p1 -b .sopwith

%build

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix 
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

# XXX libxml.so.0 is in libxml10 package.
# hack to get libxml.so.0 too !
# Get rid of it once deps to libxml.so.0 have disapeared.
# if [ -f $RPM_BUILD_ROOT/%{prefix}/lib/libxml.so.1.8.6 ]; then
#     (cd $RPM_BUILD_ROOT/%{prefix}/lib/ ; cp libxml.so.1.8.6 libxml.so.0.99.0 ; ln -sf libxml.so.0.99.0 libxml.so.0)
# fi

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS ChangeLog NEWS README COPYING COPYING.LIB TODO
%doc doc/html

%{prefix}/lib/lib*.so.*

%files devel
%docdir %{prefix}/share/gnome-xml/html
%{prefix}/share/gnome-xml

%defattr(-, root, root)
%{prefix}/bin/xml-config

%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/lib/*.sh
%{prefix}/include/*

%changelog
* Fri Feb 04 2000 Elliot Lee <sopwith@redhat.com>
- Link the library to @Z_LIBS@

* Mon Jan 31 2000 Jeff Johnson <jbj@redhat.com>
- update to 1.8.6.
- don't provide libxml.so.0, as it's in the Red Hat libxml10 package.

* Mon Sep 20 1999 Elliot Lee <sopwith@redhat.com>
- version 1.6.2

* Thu Aug 12 1999 Jonathan Blandford <jrb@redhat.com>
- version 1.4.0

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.0

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5 built against gnome-libs-0.99.8

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- made clean section work again

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- bumped to 0.99.0 for GNOME freeze

* Sun Oct  4 1998 Daniel Veillard <Daniel.Veillard@w3.org>
- Added xml-config to the package

* Thu Sep 24 1998 Michael Fulbright <msf@redhat.com>
- Built release 0.30
